MQClusterReceiverChannel (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQClusterReceiverChannel interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQClusterReceiverChannel

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, MQChannel, MQReceiverChannel, java.io.Serializable

    public interface MQClusterReceiverChannel

extends MQReceiverChannel

Cluster receiver channel

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getClusterNameList()` CLUSNL(nlname) The name of the namelist that specifies a list of clusters to which the channel belongs.
`MQCluster[]` | `getClusters()`
`java.lang.String` | `getCLWLChannelPriority()` Cluster workload channel priority (parameter identifier: MQIACH_CLWL_CHANNEL_PRIORITY).
`java.lang.String` | `getCLWLChannelRank()` Cluster workload channel rank (parameter identifier: MQIACH_CLWL_CHANNEL_RANK).
`java.lang.String` | `getCLWLChannelWeight()` Cluster workload channel weight (parameter identifier: MQIACH_CLWL_CHANNEL_WEIGHT).
`boolean` | `hasClusterNameList()`
`boolean` | `hasClusters()`
`boolean` | `hasCLWLChannelPriority()`
`boolean` | `hasCLWLChannelRank()`
`boolean` | `hasCLWLChannelWeight()`
`void` | `setClusterNameList(java.lang.String x)`
`void` | `setClusters(MQCluster[] x)`
`void` | `setCLWLChannelPriority(java.lang.String x)`
`void` | `setCLWLChannelRank(java.lang.String x)`
`void` | `setCLWLChannelWeight(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQReceiverChannel
`getBatchHeartbeatInterval, getDataConversion, getLocalCommunicationAddress, getLongRetryCount, getLongRetryTimer, getMessageRetryCount, getMessageRetryExitName, getMessageRetryExitUserData, getMessageRetryInterval, getPutAuthority, getShortRetryCount, getShortRetryTimer, hasBatchHeartbeatInterval, hasDataConversion, hasLocalCommunicationAddress, hasLongRetryCount, hasLongRetryTimer, hasMessageRetryCount, hasMessageRetryExitName, hasMessageRetryExitUserData, hasMessageRetryInterval, hasPutAuthority, hasShortRetryCount, hasShortRetryTimer, setBatchHeartbeatInterval, setDataConversion, setLocalCommunicationAddress, setLongRetryCount, setLongRetryTimer, setMessageRetryCount, setMessageRetryExitName, setMessageRetryExitUserData, setMessageRetryInterval, setPutAuthority, setShortRetryCount, setShortRetryTimer`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQChannel
`getBatchInterval, getBatchSize, getChannelMonitoring, getChannelStatistics, getConnectionName, getDisconnectInterval, getHeaderCompression, getHeartbeatInterval, getKeepAliveInterval, getMaxMessageLength, getMCAName, getMCAType, getMCAUserId, getMCAUserIdentifier, getMessageCompression, getMessageExitName, getMessageExitUserData, getMessageRetry, getMessageRetryTimer, getMessageRetryUserData, getName, getNonPersistentMessageSpeed, getProtocolEndpoint, getQueueManager, getQueueSharingGroupDisposition, getReceiveExitName, getReceiveExitUserData, getSecurityExitName, getSecurityExitUserData, getSendExitName, getSendExitUserData, getSequenceNumberWrap, getShortRetry, getSSLCipherSpecification, getSSLClientAuthentication, getSSLPeer, getTransmissionQueue, getUserID, hasBatchInterval, hasBatchSize, hasChannelMonitoring, hasChannelStatistics, hasConnectionName, hasDisconnectInterval, hasHeaderCompression, hasHeartbeatInterval, hasKeepAliveInterval, hasMaxMessageLength, hasMCAName, hasMCAType, hasMCAUserId, hasMCAUserIdentifier, hasMessageCompression, hasMessageExitName, hasMessageExitUserData, hasMessageRetry, hasMessageRetryTimer, hasMessageRetryUserData, hasName, hasNonPersistentMessageSpeed, hasProtocolEndpoint, hasQueueManager, hasQueueSharingGroupDisposition, hasReceiveExitName, hasReceiveExitUserData, hasSecurityExitName, hasSecurityExitUserData, hasSendExitName, hasSendExitUserData, hasSequenceNumberWrap, hasShortRetry, hasSSLCipherSpecification, hasSSLClientAuthentication, hasSSLPeer, hasTransmissionQueue, hasUserID, setBatchInterval, setBatchSize, setChannelMonitoring, setChannelStatistics, setConnectionName, setDisconnectInterval, setHeaderCompression, setHeartbeatInterval, setKeepAliveInterval, setMaxMessageLength, setMCAName, setMCAType, setMCAUserId, setMCAUserIdentifier, setMessageCompression, setMessageExitName, setMessageExitUserData, setMessageRetry, setMessageRetryTimer, setMessageRetryUserData, setName, setNonPersistentMessageSpeed, setProtocolEndpoint, setQueueManager, setQueueSharingGroupDisposition, setReceiveExitName, setReceiveExitUserData, setSecurityExitName, setSecurityExitUserData, setSendExitName, setSendExitUserData, setSequenceNumberWrap, setShortRetry, setSSLCipherSpecification, setSSLClientAuthentication, setSSLPeer, setTransmissionQueue, setUserID`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getClusters

    MQCluster[] getClusters()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Connects" reverse="true"

### setClusters

    void setClusters(MQCluster[] x)

### hasClusters

    boolean hasClusters()

### getCLWLChannelWeight

    java.lang.String getCLWLChannelWeight()
                                          throws AttributeNotSetException

  Cluster workload channel weight (parameter identifier: MQIACH_CLWL_CHANNEL_WEIGHT).

  Throws:
    `AttributeNotSetException`

### setCLWLChannelWeight

    void setCLWLChannelWeight(java.lang.String x)

### hasCLWLChannelWeight

    boolean hasCLWLChannelWeight()

### getCLWLChannelPriority

    java.lang.String getCLWLChannelPriority()
                                            throws AttributeNotSetException

  Cluster workload channel priority (parameter identifier: MQIACH_CLWL_CHANNEL_PRIORITY).

  Throws:
    `AttributeNotSetException`

### setCLWLChannelPriority

    void setCLWLChannelPriority(java.lang.String x)

### hasCLWLChannelPriority

    boolean hasCLWLChannelPriority()

### getCLWLChannelRank

    java.lang.String getCLWLChannelRank()
                                        throws AttributeNotSetException

  Cluster workload channel rank (parameter identifier: MQIACH_CLWL_CHANNEL_RANK).

  Throws:
    `AttributeNotSetException`

### setCLWLChannelRank

    void setCLWLChannelRank(java.lang.String x)

### hasCLWLChannelRank

    boolean hasCLWLChannelRank()

### getClusterNameList

    java.lang.String getClusterNameList()
                                        throws AttributeNotSetException

  CLUSNL(nlname) The name of the namelist that specifies a list of clusters to which the channel belongs. This parameter is valid only for channels with a channel type (CHLTYPE) of CLUSSDR and CLUSRCVR channels. Only one of the resultant values of CLUSTER or CLUSNL can be nonblank, the other must be blank.

  Throws:
    `AttributeNotSetException`

### setClusterNameList

    void setClusterNameList(java.lang.String x)

### hasClusterNameList

    boolean hasClusterNameList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD